Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6332 - mpg123 doesn't restore xterm titles on exiting
Summary: mpg123 doesn't restore xterm titles on exiting
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mpg123
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-25 13:32 UTC by Telsa Gwynne
Modified: 2014-03-17 02:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-16 21:00:15 UTC


Attachments (Terms of Use)

Description Telsa Gwynne 1999-10-25 13:32:48 UTC
Spotted in gnome-terminal, but happens in xterm and rxvt
too.

When I play an mp3 at the prompt in an xterm, the title
bar of the window changes to show the name of the current
mp3 file being played. This is very pretty. But when it
finishes, it doesn't change the title bar back to the
original title.

[hobbit@aloss /etc]$ rpm -q mpg123
mpg123-0.59r-2

Comment 1 Bill Nottingham 1999-10-25 15:41:59 UTC
Hmm... while all three of them support the 'change title'
escape, it looks like only xterm supports the 'query title'
escape, so the only one that it could be fixed for is xterm.

Comment 2 Bill Nottingham 1999-12-16 21:00:59 UTC
turned off in mpg123-0.59r-3, which will appear in Raw Hide soon.


Note You need to log in before you can comment on or make changes to this bug.